Bug 161302 - [patch] math/giacxcas update to 0.9.3
[patch] math/giacxcas update to 0.9.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 13:50 UTC by han
Modified: 2011-11-01 17:40 UTC (History)
0 users

See Also:


Attachments
file.diff (6.12 KB, patch)
2011-10-05 13:50 UTC, han
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description han 2011-10-05 13:50:02 UTC
-Update from the author sources to giac 0.9.3
-The fltk auxiliary file is  updated from giac's author. The name of the new version has changed to  fltk-giac.tar.gz
-(re)Enable pari support. (This version of giac is now compatible with pari> 2.3) 
-remove (after run tests) the  amd64 extra flags in the Makefile.

Fix: Patch attached with submission follows:
Comment 1 Eitan Adler freebsd_committer 2011-10-15 22:28:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 Eitan Adler freebsd_committer 2011-10-22 00:51:10 UTC
Responsible Changed
From-To: eadler->freebsd-ports-bugs

return to the pool
Comment 3 Pawel Pekala freebsd_committer 2011-11-01 12:34:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter freebsd_committer 2011-11-01 17:32:11 UTC
pawel       2011-11-01 17:32:03 UTC

  FreeBSD ports repository

  Modified files:
    math/giacxcas        Makefile distinfo pkg-plist 
  Log:
  - Update from the author sources to giac 0.9.3 [1]
  - The fltk auxiliary file is updated from giac's author. The name of the new
    version has changed to fltk-giac.tar.gz [1]
  - (re)Enable pari support, This version of giac is now
    compatible with pari > 2.3 [1]
  - Remove (after run tests) the amd64 extra flags in the Makefile [1]
  - Patch phase don't require bash [2]
  - Programs link to libintl so add USE_GETTEXT=yes [2]
  - Add run dependency on editors/texmacs, xgiac script calls it [2]
  - Fix path to binaries in dektop entry files [2]
  - Mark MAKE_JOBS_SAFE [2]
  
  PR:             ports/161302 [1]
  Submitted by:   Han Frederic <han@math.jussieu.fr> [1], myself [2]
  
  Revision  Changes    Path
  1.7       +10 -14    ports/math/giacxcas/Makefile
  1.5       +4 -4      ports/math/giacxcas/distinfo
  1.4       +24 -2     ports/math/giacxcas/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2011-11-01 17:32:27 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!